Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.update
Class UpdateData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.update.UpdateData

All Implemented Interfaces:
  StepDataInterface

    public class UpdateData

extends BaseStepData
implements StepDataInterface

Since:
  28-feb-2005
Author:
  Matt

Field Summary
`org.pentaho.di.core.database.Database` | `db`
`int[]` | `keynrs`
`int[]` | `keynrs2`
`org.pentaho.di.core.row.RowMetaInterface` | `lookupParameterRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `lookupReturnRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`PreparedStatement` | `prepStatementLookup`
`PreparedStatement` | `prepStatementUpdate`
`String` | `schemaTable`
`String` | `stringErrorKeyNotFound`
`String` | `stringFieldnames`
`org.pentaho.di.core.row.RowMetaInterface` | `updateParameterRowMeta`
`int[]` | `valuenrs`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`UpdateData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### db

    public org.pentaho.di.core.database.Database db

### keynrs

    public int[] keynrs

### keynrs2

    public int[] keynrs2

### valuenrs

    public int[] valuenrs

### stringErrorKeyNotFound

    public String stringErrorKeyNotFound

### stringFieldnames

    public String stringFieldnames

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### schemaTable

    public String schemaTable

### prepStatementLookup

    public PreparedStatement prepStatementLookup

### prepStatementUpdate

    public PreparedStatement prepStatementUpdate

### lookupParameterRowMeta

    public org.pentaho.di.core.row.RowMetaInterface lookupParameterRowMeta

### lookupReturnRowMeta

    public org.pentaho.di.core.row.RowMetaInterface lookupReturnRowMeta

### updateParameterRowMeta

    public org.pentaho.di.core.row.RowMetaInterface updateParameterRowMeta

Constructor Detail

### UpdateData

    public UpdateData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD